GpgFrontend::UI::KeyImportDetailDialog Class Reference
Inheritance diagram for GpgFrontend::UI::KeyImportDetailDialog:
Collaboration diagram for GpgFrontend::UI::KeyImportDetailDialog:

## Public Member Functions

| KeyImportDetailDialog (GpgImportInformation result, bool automatic, QWidget *parent=nullptr)
| Construct a new Key Import Detail Dialog object. More...
Public Member Functions inherited from GpgFrontend::UI::GeneralDialog
| GeneralDialog (std::string name, QWidget *parent=nullptr)

## Private Member Functions

void | create_general_info_box ()
| Create a general info box object. More...
void | create_keys_table ()
| Create a keys table object. More...
void | create_button_box ()
| Create a button box object. More...

## Static Private Member Functions

static QString | get_status_string (int keyStatus)
| Get the status string object. More...

## Private Attributes

QTableWidget * | keys_table_ {}
QGroupBox * | general_info_box_ {}
QGroupBox * | key_info_box_ {}
QDialogButtonBox * | button_box_ {}
GpgImportInformation | m_result_

## Constructor & Destructor Documentation

## KeyImportDetailDialog()

GpgFrontend::UI::KeyImportDetailDialog::KeyImportDetailDialog | ( | GpgImportInformation | result,
|  | bool | automatic,
|  | QWidget * | parent = `nullptr`
| ) |  |

Construct a new Key Import Detail Dialog object.

Parameters

  result |
  automatic |
  parent |

References create_button_box(), create_general_info_box(), and create_keys_table().

## Member Function Documentation

## create_button_box()

void GpgFrontend::UI::KeyImportDetailDialog::create_button_box | ( |  | ) |

private

Create a button box object.

Referenced by KeyImportDetailDialog().

## create_general_info_box()

void GpgFrontend::UI::KeyImportDetailDialog::create_general_info_box | ( |  | ) |

private

Create a general info box object.

Referenced by KeyImportDetailDialog().

## create_keys_table()

void GpgFrontend::UI::KeyImportDetailDialog::create_keys_table | ( |  | ) |

private

Create a keys table object.

References get_status_string(), GpgFrontend::GpgKey::GetEmail(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKey(), GpgFrontend::GpgKey::GetName(), and GpgFrontend::GpgKey::IsGood().

Referenced by KeyImportDetailDialog().

## get_status_string()

QString GpgFrontend::UI::KeyImportDetailDialog::get_status_string | ( | int | keyStatus | ) |

staticprivate

Get the status string object.

Parameters

  keyStatus |

Returns
  QString

Referenced by create_keys_table().

The documentation for this class was generated from the following files:

- src/ui/dialog/import_export/KeyImportDetailDialog.h
- src/ui/dialog/import_export/KeyImportDetailDialog.cpp